aboutsummaryrefslogtreecommitdiff
path: root/Tools
diff options
context:
space:
mode:
authorKris Kennaway <kris@FreeBSD.org>2006-02-03 20:13:23 +0000
committerKris Kennaway <kris@FreeBSD.org>2006-02-03 20:13:23 +0000
commit84c66c52a216170b4480c5a269c865b6f85ab568 (patch)
treeb35577d3cc562ab496e8e91c833376b4e00cbf4c /Tools
parent35fb7ca9ce091fed59cdddd8f50ae1ef29aa2505 (diff)
downloadports-84c66c52a216170b4480c5a269c865b6f85ab568.tar.gz
ports-84c66c52a216170b4480c5a269c865b6f85ab568.zip
Notes
Diffstat (limited to 'Tools')
-rwxr-xr-xTools/portbuild/scripts/portbuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/Tools/portbuild/scripts/portbuild b/Tools/portbuild/scripts/portbuild
index a42f76ecb24e..a832c2d6a293 100755
--- a/Tools/portbuild/scripts/portbuild
+++ b/Tools/portbuild/scripts/portbuild
@@ -129,9 +129,9 @@ branch=$1
chroot=$2
shift 2
-noclean=0
+clean=1
if [ "x$1" = "x-noclean" ]; then
- noclean=1
+ clean=0
shift
fi
norestr=0
@@ -253,7 +253,7 @@ fi
# Set up desired uname version
echo ${OSREL}-${BRANCH} > ${chroot}/usr/bin/UNAME_VERSION
-#trap "cleanup ${chroot} ${noclean} ${error} \"${cleandirs}\" ${pkgname}" 1 2 3 9 10 11 15
+#trap "cleanup ${chroot} ${clean} ${error} \"${cleandirs}\" ${pkgname}" 1 2 3 9 10 11 15
trap "exit 255" 1 2 3 9 10 11 15
rm -rf ${chroot}/tmp/*